Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.identifier
Class ShellDefinitionId

    java.lang.Object
      com.bea.netuix.application.identifier.Id
          com.bea.netuix.application.identifier.ShellDefinitionId

All Implemented Interfaces:
  Serializable

public class ShellDefinitionId
extends Id

Represents the primary keys of `Shell` definition objects in the database, and is used to uniquely identify them. `ShellDefinitionId` will be needed when customizing `Shell` definitions on a desktop.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.netuix.application.identifier.Id
`id`

Constructor Summary
`ShellDefinitionId(int id)`

Method Summary
`protected Object` | `clone()`
`static ShellDefinitionId` | `clone(ShellDefinitionId shellDefinitionId)`
`static ShellDefinitionId` | `createShellDefinitionId(int id)`

Methods inherited from class com.bea.netuix.application.identifier.Id
`equals, getId, hashCode, setId, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShellDefinitionId

    public ShellDefinitionId(int id)

Parameters:
  `id` - the integer value that this `ShellDefinitionId` should be set to.

Method Detail

### createShellDefinitionId

    public static ShellDefinitionId createShellDefinitionId(int id)

  Parameters:
    `id` - the integer value that this `ShellDefinitionId` should be set to.
  Returns:
    a new `ShellDefinitionId` with the id value set to the integer passed in.

### clone

    public static ShellDefinitionId clone(ShellDefinitionId shellDefinitionId)

  Parameters:
    `shellDefinitionId` - the `ShellDefinitionId` to be cloned.
  Returns:
    a new `ShellDefinitionId` with the exact same id value as the `ShellDefinitionId` passed in.

### clone

    protected Object clone()

  Returns:
    a new `ShellDefinitionId` with the exact same id value as this `ShellDefinitionId`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved